DESCRIPTION="RSS-Reader Plugin for Gaim Instant Messenger client"
HOMEPAGE="http://gaim-rss-reader.sourceforge.net/"
SRC_URI="mirror://sourceforge/gaim-rss-reader/${P}.tar.gz
		mirror://sourceforge/gaim/gaim-0.82.1.tar.bz2"
RESTRICT="nomirror"

SLOT="0"
LICENSE="GPL-2"
KEYWORDS="x86 ~sparc ~amd64 ~ppc ~alpha ~ia64 ~mips ~hppa"

DEPEND="=net-im/gaim-0.82.1"

DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS README TODO VERSION"

pkg_setup() {
	ewarn
	ewarn "If you experience problems with gaim-rss-reader, file them as bugs"
	ewarn "with gaim-rss-reader's sourceforge tracker, and please DO NOT seek"
	ewarn "help in #gaim."
	ewarn
#	for TICKER in 1 2 3 4 5; do
#		# Double beep here.
#		echo -ne "\a" ; sleep 0.1 &>/dev/null ; sleep 0,1 &>/dev/null
#		echo -ne "\a" ; sleep 1
#	done
#	sleep 8
}

src_compile() {

	local myconf

	econf --prefix /usr --with-gaim=${WORKDIR}/gaim-0.82.1 || die "configure failed"

	emake || MAKEOPTS="${MAKEOPTS} -j1" emake || die "Make failed"
}

src_install() {
	make install || die "Install failed"
	dodoc ${DOCS}
}
